unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure ListBox1DrawItem(Control: TWinControl; Index: Integer;
      Rect: TRect; State: TOwnerDrawState);
    procedure ListBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  ListBox1.Items:=Screen.Fonts;
  ListBox1.ItemIndex:=-1;
  ListBox1.Style:=lbOwnerDrawFixed;
  ListBox1.ItemHeight:=24;
  ListBox1.Font.Height:=18;
  Form1.Font.Height:=36;
  Memo1.ParentFont:=True;
  Memo1.Clear;
  Memo1.Lines.Add('       ');
end;

procedure TForm1.ListBox1DrawItem(Control: TWinControl; Index: Integer;
  Rect: TRect; State: TOwnerDrawState);
begin
 TListBox(Control).Canvas.FillRect(Rect);
 TListBox(Control).Canvas.Font.Name:=TListBox(Control).Items[Index];
 TListBox(Control).Canvas.TextOut(Rect.Left, Rect.Top, TListBox(Control).Items[Index]);
end;

procedure TForm1.ListBox1Click(Sender: TObject);
begin
  Form1.Caption:='  '+ListBox1.Items[ListBox1.ItemIndex];
  Form1.Font.Name:=ListBox1.Items[ListBox1.ItemIndex];
end;

end.
